<_templates Include="trucks">
	<Flare>
		<Sublight Color="(122; 61; 0) x 0.6" Size="0.4" />
	</Flare>
</_templates>
<TruckAddon>
	<PhysicsModel Mesh="trucks/assenizator_ko503_gaz53">
		<Body ImpactType="Truck" Mass="600">
			<Constraint Type="Fixed" />
			<Body
				ModelFrame="BoneBriz1_cdt"
				Mass="10"
				AngularDamping="4.0"
				Collisions="All"
			>
				<Constraint
					Type="Hinge"
					MinLimit="-45"
					MaxLimit="30"
					AxisLocal="(0.0; 0.0; 0.1)"
				/>
			</Body>
			<Body
				ModelFrame="BoneBriz2_cdt"
				Mass="10"
				AngularDamping="4.0"
				Collisions="All"
			>
				<Constraint
					Type="Hinge"
					MinLimit="-45"
					MaxLimit="30"
					AxisLocal="(0.0; 0.0; 0.1)"
				/>
			</Body>
			<Body
				ModelFrame="BoneBriz3_cdt"
				Mass="40"
				AngularDamping="6.0"
				Collisions="None"
			>
				<Constraint
					Type="Hinge"
					MinLimit="-45"
					MaxLimit="45"
					AxisLocal="(0.0; 0.0; 0.1)"
				/>
			</Body>
			<Body
				ModelFrame="BoneBriz4_cdt"
				Mass="40"
				AngularDamping="6.0"
				Collisions="None"
			>
				<Constraint
					Type="Hinge"
					MinLimit="-45"
					MaxLimit="45"
					AxisLocal="(0.0; 0.0; 0.1)"
				/>
			</Body>
		</Body>
	</PhysicsModel>
	<ModelAttachments>
		<Ignition>
			<Light
				_template="ReverseSignal"
				Pos="(-3.812; 0; -0.3)"
				OuterCone="95"
				AttenEnd="1.5"
			/>
			<Flare
				Pos="(-2.812; 1.582;  -0.014)"
				Size="0.5"
				SizeAtDay="0.4"
				Color="g(244; 238; 215) x 0.5"
			/>
			<Flare
				Pos="(-2.416; 1.004; 0.67)"
				Size="0.2"
				SizeAtDay="0.1"
				Color="g(134; 82; 41) x 1.5"
				ParentFrame="BoneBriz3_cdt"
			/>
			<Flare
				Color="g(134; 82; 41) x 1.5"
				Pos="(-2.416; 1.004; 0.73)"
				Size="0.2"
				SizeAtDay="0.1"
				ParentFrame="BoneBriz3_cdt"
			/>
			<Flare
				Pos="(-2.416; 1.004; -0.835)"
				Size="0.2"
				SizeAtDay="0.1"
				Color="g(134; 82; 41) x 1.5"
				ParentFrame="BoneBriz4_cdt"
			/>
			<Flare
				Color="g(134; 82; 41) x 1.5"
				Pos="(-2.416; 1.004; -0.774)"
				Size="0.2"
				SizeAtDay="0.1"
				ParentFrame="BoneBriz4_cdt"
			/>
		</Ignition>
		<StopSignals>
			<Flare
				Color="g(134; 82; 41) x 1.5"
				ParentFrame="BoneBriz3_cdt"
				Pos="(-2.417; 1.028; 0.599)"
				SizeAtDay="0.3"
				Size="0.3"
			/>
			<Flare
				Pos="(-2.417; 1.034; -0.686)"
				Color="g(134; 82; 41) x 1.5"
				ParentFrame="BoneBriz4_cdt"
				SizeAtDay="0.3"
				Size="0.3"
			/>
		</StopSignals>
	</ModelAttachments>
	<GameData>
		<LoadArea Min="(-3.1; -0.3; -1.4)" Max="(0.8; 3.0; 1.4)" Type="ShortLogs" />		
		<InstallSocket Type="bez_zapasok" />
	</GameData>
	<TruckData RepairsCapacity="200" />
</TruckAddon>
